# std::system_error Class Reference
[Exceptions]

Thrown to indicate error code of underlying system. More...

Inheritance diagram for std::system_error:

List of all members.

## Public Member Functions

- const error_code & code () const throw ()
- system_error (int __v, const error_category &__ecat, const string &__what)
- system_error (int __v, const error_category &__ecat)
- system_error (error_code __ec, const string &__what)
- system_error (error_code __ec=error_code())
- virtual const char * what () const throw ()

## Detailed Description

Thrown to indicate error code of underlying system.

Definition at line 321 of file system_error.

## Member Function Documentation

virtual const char* std::runtime_error::what | ( |  | ) | const throw ()`[virtual, inherited]`

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- system_error